Bug 164796 - crash if a custom css layout is selected and konqueror is closed
Summary: crash if a custom css layout is selected and konqueror is closed
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: khtml (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-24 00:38 UTC by mario tuling
Modified: 2008-10-27 01:15 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mario tuling 2008-06-24 00:38:51 UTC
Version:            (using Devel)
Installed from:    Compiled sources
Compiler:          4.1.2 
OS:                Linux

i have svn rev 8225xx
steps to reproduce:

1. set a custom stylesheet in konqueror, for example the accessibility stylesheet.
2. close konqueror and start a new one
3. close the new one, it crashes

debug output in konsole:

konqueror(13168) KonqViewManager::clear: 1 items
konqueror(13168) KonqMainWindow::removeChildView: Removing view KonqView(0x978eb0)
konqueror(13168) KonqMainWindow::dumpViewList: 0 views:
konqueror(13168) KonqViewManager::clear: Deleting KonqView(0x978eb0)
konqueror(13168)/khtml (part) KHTMLPart::~KHTMLPart: KHTMLPart(0x95eb90)
konqueror(13168)/kparts KParts::PartManager::setActivePart: KParts::PartManager(0xb6df70, name = "khtml part manager")  emitting activePartChanged  QObject(0x0)
konqueror(13168)/khtml (cache) khtml::Cache::clear:  Object in cache still linked to
konqueror(13168)/khtml (cache) khtml::Cache::clear:  -> URL:  "file:///home/snake/.kdesvn/share/apps/kcmcss/override.css"
konqueror(13168)/khtml (cache) khtml::Cache::clear:  -> #clients:  1
konqueror: /var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/khtml/misc/loader.cpp:1598: static void khtml::Cache::clear(): Assertion `!crash' failed.
Comment 1 mario tuling 2008-10-17 01:14:24 UTC
backtrace, r827xxx

Application: Konqueror (konqueror), signal SIGABRT
0x00007fd773137be0 in nanosleep () from /lib64/libc.so.6

Thread 1 (Thread 0x7fd779ecb750 (LWP 6304)):
[KCrash Handler]
#5  0x00007fd7730ca225 in raise () from /lib64/libc.so.6
#6  0x00007fd7730cb743 in abort () from /lib64/libc.so.6
#7  0x00007fd7730c30a9 in __assert_fail () from /lib64/libc.so.6
#8  0x00007fd76d47e17e in khtml::Cache::clear () at /var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/khtml/misc/loader.cpp:1612
#9  0x00007fd76d3120dd in ~KHTMLGlobal (this=<value optimized out>) at /var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/khtml/khtml_global.cpp:99
#10 0x00007fd76d31217b in KHTMLGlobal::deref () at /var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/khtml/khtml_global.cpp:133
#11 0x00007fd76d3122b5 in KHTMLGlobal::deregisterPart (part=0x934bb0) at /var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/khtml/khtml_global.cpp:160
#12 0x00007fd76d302d89 in ~KHTMLPart (this=0x934bb0) at /var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/khtml/khtml_part.cpp:548
#13 0x00007fd779a40830 in ~KonqView (this=0x935100) at /var/tmp/portage/kde-base/konqueror-9999/work/konqueror/apps/konqueror/src/konqview.cpp:132
#14 0x00007fd779a479a3 in KonqViewManager::clear (this=0x724e60) at /var/tmp/portage/kde-base/konqueror-9999/work/konqueror/apps/konqueror/src/konqviewmanager.cpp:652
#15 0x00007fd779a69fad in KonqMainWindow::stayPreloaded (this=0x71d1a0) at /var/tmp/portage/kde-base/konqueror-9999/work/konqueror/apps/konqueror/src/konqmainwindow.cpp:5674
#16 0x00007fd779a6cbdd in KonqMainWindow::queryExit (this=0x71d1a0) at /var/tmp/portage/kde-base/konqueror-9999/work/konqueror/apps/konqueror/src/konqmainwindow.cpp:5133
#17 0x00007fd778b982a0 in KMainWindow::closeEvent (this=0x71d1a0, e=0x7fff81efecf0) at /var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/widgets/kmainwindow.cpp:572
#18 0x00007fd779a7a07e in KonqMainWindow::closeEvent (this=0x71d1a0, e=0x7fff81efecf0) at /var/tmp/portage/kde-base/konqueror-9999/work/konqueror/apps/konqueror/src/konqmainwindow.cpp:5097
#19 0x00007fd775761ba7 in QWidget::event (this=0x71d1a0, event=0x7fff81efecf0) at kernel/qwidget.cpp:7319
#20 0x00007fd775aa1b6b in QMainWindow::event (this=0x71d1a0, event=0x7fff81efecf0) at widgets/qmainwindow.cpp:1274
#21 0x00007fd778bcce40 in KXmlGuiWindow::event (this=0x18a0, ev=0x18a0) at /var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/xmlgui/kxmlguiwindow.cpp:125
#22 0x00007fd779a6a575 in KonqMainWindow::event (this=0x71d1a0, e=0x7fff81efecf0) at /var/tmp/portage/kde-base/konqueror-9999/work/konqueror/apps/konqueror/src/konqmainwindow.cpp:5657
#23 0x00007fd77570a70d in QApplicationPrivate::notify_helper (this=0x61b4a0, receiver=0x71d1a0, e=0x7fff81efecf0) at kernel/qapplication.cpp:3809
#24 0x00007fd77571154e in QApplication::notify (this=0x7fff81eff8f0, receiver=0x71d1a0, e=0x7fff81efecf0) at kernel/qapplication.cpp:3774
#25 0x00007fd778af2ec6 in KApplication::notify (this=0x7fff81eff8f0, receiver=0x71d1a0, event=0x7fff81efecf0)
    at /var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/kernel/kapplication.cpp:307
#26 0x00007fd7768f75ee in QCoreApplication::notifyInternal (this=0x7fff81eff8f0, receiver=0x71d1a0, event=0x7fff81efecf0) at kernel/qcoreapplication.cpp:593
#27 0x00007fd775764ab2 in QWidgetPrivate::close_helper (this=0x71ea70, mode=QWidgetPrivate::CloseWithSpontaneousEvent) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#28 0x00007fd775769215 in QApplication::x11ClientMessage (this=<value optimized out>, w=0x71d1a0, event=0x7fff81eff4e0, passive_only=6) at kernel/qapplication_x11.cpp:4814
#29 0x00007fd775779e3e in QApplication::x11ProcessEvent (this=0x7fff81eff8f0, event=0x7fff81eff4e0) at kernel/qapplication_x11.cpp:3297
#30 0x00007fd77579f626 in QEventDispatcherX11::processEvents (this=0x61adc0, flags={i = -2114980352}) at kernel/qeventdispatcher_x11.cpp:134
#31 0x00007fd7768f61f2 in QEventLoop::processEvents (this=<value optimized out>, flags={i = -2114980304}) at kernel/qeventloop.cpp:149
#32 0x00007fd7768f637d in QEventLoop::exec (this=0x7fff81eff670, flags={i = -2114980224}) at kernel/qeventloop.cpp:200
#33 0x00007fd7768f87fd in QCoreApplication::exec () at kernel/qcoreapplication.cpp:851
#34 0x00007fd779aaa022 in kdemain (argc=<value optimized out>, argv=<value optimized out>) at /var/tmp/portage/kde-base/konqueror-9999/work/konqueror/apps/konqueror/src/konqmain.cpp:257
#35 0x00007fd7730b6486 in __libc_start_main () from /lib64/libc.so.6
#36 0x0000000000400989 in _start ()

Comment 2 Maksim Orlovich 2008-10-27 01:13:05 UTC
SVN commit 876287 by orlovich:

Fix signature mis-match here, unbreaks loading of accessibility/user stylesheet, and also crash on exit 
when one is set.
BUG:167268
BUG:164796


 M  +1 -1      khtml_part.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=876287
Comment 3 Maksim Orlovich 2008-10-27 01:15:20 UTC
SVN commit 876288 by orlovich:

Merged revision 876287:
Fix signature mis-match here, unbreaks loading of accessibility/user stylesheet, and also crash on exit 
when one is set.
BUG:167268
BUG:164796

 M  +1 -1      khtml_part.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=876288